///////////////////////////////////////////////////////////////////////////
//客户留言扩展插件
///////////////////////////////////////////////////////////////////////////
var ajaxPluginFeedbackPageSize = 10;//每页显示的留言数
function ajaxPluginFeedbackAdd()
{
	var uName=$("#feedbackName").val();
	var uCode=$("#feedbackCode").val();
	var parentid=$("#feedbackParentId").val();
	var classid=$("#feedbackClassId").val();
	var title=ajaxPluginFeedbackSiftSymbol($("#feedbackTitle").val());
	if(parentid!="0") title="tttttt";//表示回复
	var content=ajaxPluginFeedbackSiftSymbol($("#feedbackContent").val());
	if(!uName) {
		alert("用户名不能为空!");
		return;
	}
	if(uName.length>16){
		alert("用户名太长!");
		return;
	}
	if(uCode == "" || uCode.toLowerCase() != JumbotCms.Cookie.get("ValidateCode").toLowerCase()){
		alert('校验码错误');
		return;
	}
	if(!title || title.length<5) {
		alert("留言标题不能少于5个!");
		return;
	}
	if(!content || content.length<5) {
		alert("留言字符不能少于5个!");
		return;
	}
	if(content.length>200){
		alert("留言字符太多!");
		return;
	}
	//$("#btnFeedbackAdd").attr("disabled","disabled");
	$("#form_feedback").hide();
	$.ajax({
		type:		"post",
		dataType:	"html",
		data:		"parentid="+parentid+"&classid="+classid+"&name="+encodeURIComponent(uName)+"&code="+escape(uCode)+"&title="+encodeURIComponent(title)+"&content="+encodeURIComponent(content),
		url:		site.Dir + "extends/feedback/ajax.aspx?oper=ajaxPluginFeedbackAdd&time="+(new Date().getTime()),
		error:		function(XmlHttpRequest,textStatus, errorThrown){if(XmlHttpRequest.responseText!=""){alert(XmlHttpRequest.responseText);}},
		success:	function(d){
			if(d=="ok")
			{
				$("#feedbackTitle").val("");
				$("#feedbackContent").val("");
				$("#feedbackCode").val("");
				if(parentid=="0")
					alert("成功留言,请勿频繁发表");
				else
				{
					alert("成功回复");
					$("#form_feedback").show();
				}
				ajaxList(1);
			}
			else
			{
				alert(d);
				//$("#btnFeedbackAdd").attr("disabled","");
				$("#form_feedback").show();
			}
			$OBJ('imgCode').src=_jcms_SetUrlRefresh(site.Dir + 'plus/getcode.aspx');
		}
	});
}
function ajaxPluginFeedbackDelete(feedbackid)
{
	$.ajax({
		type:		"post",
		dataType:	"html",
		data:		"feedbackid="+feedbackid+"&classid="+classid,
		url:		site.Dir + "extends/feedback/ajax.aspx?oper=ajaxPluginFeedbackDel&time="+(new Date().getTime()),
		error:		function(XmlHttpRequest,textStatus, errorThrown){if(XmlHttpRequest.responseText!=""){alert(XmlHttpRequest.responseText);}},
		success:	function(d){
			if(d=="ok")
			{
				ajaxList(1);
			}
			else
			{
				alert(d);
			}
		}
	});
}
function ajaxPluginFeedbackReply2(parentid)
{
	$("#feedbackParentId").val(parentid);
	$("#feedbackTitle").val("管理员回复 #"+parentid);
	$("#feedbackContent").val("");
	$("#feedbackContent")[0].focus();
}
function ajaxPluginFeedbackSiftSymbol(str){ 
	str = str.replace(/[\-]{10}/g,"").replace(/[,]{10}/g,"").replace(/[\.]{10}/g,""); 
	return(str);
} 